/*
 * ASFCutExecuter.java
 *
 * Created on 2002/03/26, 1:19
 */

package org.jpn.xucker.asfcut;
import java.io.*;
/**
 *
 * @author  akito
 */
public class ASFCutExecuter {
    
    /** Holds value of property exePath. */
    private String exePath;
    
    /** Holds value of property inputPath. */
    private String inputPath;
    
    /** Holds value of property outputPath. */
    private String outputPath;
    
    /** Holds value of property start_minute. */
    private int start_minute;
    
    /** Holds value of property start_second. */
    private int start_second;
    
    /** Holds value of property end_minute. */
    private int end_minute;
    
    /** Holds value of property end_second. */
    private int end_second;
    
    /** Creates a new instance of ASFCutExecuter */
    public ASFCutExecuter() {
    }
    
    /** Getter for property exePath.
     * @return Value of property exePath.
     */
    public String getExePath() {
        return this.exePath;
    }
    
    /** Setter for property exePath.
     * @param exePath New value of property exePath.
     */
    public void setExePath(String exePath) {
        this.exePath = exePath;
    }
    
    /** Getter for property inputPath.
     * @return Value of property inputPath.
     */
    public String getInputPath() {
        return this.inputPath;
    }
    
    /** Setter for property inputPath.
     * @param inputPath New value of property inputPath.
     */
    public void setInputPath(String inputPath) {
        this.inputPath = inputPath;
    }
    
    /** Getter for property outputPath.
     * @return Value of property outputPath.
     */
    public String getOutputPath() {
        return this.outputPath;
    }
    
    /** Setter for property outputPath.
     * @param outputPath New value of property outputPath.
     */
    public void setOutputPath(String outputPath) {
        this.outputPath = outputPath;
    }
    
    /** Getter for property start_minute.
     * @return Value of property start_minute.
     */
    public int getStart_minute() {
        return this.start_minute;
    }
    
    /** Setter for property start_minute.
     * @param start_minute New value of property start_minute.
     */
    public void setStart_minute(int start_minute) {
        this.start_minute = start_minute;
    }
    
    /** Getter for property start_second.
     * @return Value of property start_second.
     */
    public int getStart_second() {
        return this.start_second;
    }
    
    /** Setter for property start_second.
     * @param start_second New value of property start_second.
     */
    public void setStart_second(int start_second) {
        this.start_second = start_second;
    }
    
    /** Getter for property end_minute.
     * @return Value of property end_minute.
     */
    public int getEnd_minute() {
        return this.end_minute;
    }
    
    /** Setter for property end_minute.
     * @param end_minute New value of property end_minute.
     */
    public void setEnd_minute(int end_minute) {
        this.end_minute = end_minute;
    }
    
    /** Getter for property end_second.
     * @return Value of property end_second.
     */
    public int getEnd_second() {
        return this.end_second;
    }
    
    /** Setter for property end_second.
     * @param end_second New value of property end_second.
     */
    public void setEnd_second(int end_second) {
        this.end_second = end_second;
    }
    
    public int getStartTime(){
        return getStart_minute()*60+getStart_second();
    }
    public int getEndTime(){
        return getEnd_minute()*60+getEnd_second();
    }
    public int getDuration(){
        return getEndTime()-getStartTime();
    }
    
    public void exec() throws Exception{
        if(getDuration()>0){
            System.out.println("end="+getEnd_minute()+":"+getEnd_second()+" duration="+getDuration());
            String command=getExePath();
            command+=" -i \""+getInputPath()+"\" -o \""+getOutputPath()+"\" -start "+""+getStartTime()+" -duraction "+""+getDuration()+" -y";
            
            //System.out.println(command);
            Runtime runtime=Runtime.getRuntime();
            Process process=runtime.exec(command);
            InputStream input=process.getInputStream();
            DataInputStream bInput=new DataInputStream(new BufferedInputStream(input));
            String line;
            while((line=bInput.readLine())!=null){
                System.out.println(line);
            }
            bInput.close();
        }
    }
    
    
    
}
