/*
 * 쐬: 2004/03/15
 *
 * ̐ꂽRg̑}ev[gύX邽
 * EBhE > ݒ > Java > R[h > R[hƃRg
 */
package org.jpn.xucker.asfcut;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.net.URL;
import java.util.Vector;


public class jasfdigest {
	private int playtime = 3;
	private int max = 60;
	private File output;
	public static void main(String[] args) {
		if (args.length > 0) {
			File file = new File(args[0]);
			jasfdigest digest=new jasfdigest(file);
			
		} else {
			System.out.println("jasfcut file");
		}
	}

	/**
	 * @param file
	 */
	private String asfPath;
	public jasfdigest(File file) {
		asfPath = AsfUtil.getAsfcutPath();
		if (asfPath == null) {
			System.out.println("asfcut path not found");
			System.exit(0);
		}
		convertFile(file);
	}

	public void convertFile(File file) {
		if (file.isFile()) {
			if (file.getName().toLowerCase().endsWith(".asf")
				|| file.getName().toLowerCase().endsWith(".wmv")) {

				copyFile(file);
			}
		} else {
			if (file.exists()) {
				String list[] = file.list();
				for (int i = 0; i < list.length; i++) {
					convertFile(new File(file, list[i]));
				}
			}
		}

	}

	/**
	 * @param file
	 */
	private void execute(Runtime runtime, String args[]) {
		String exec = "";
		for (int i = 0; i < args.length; i++)
			exec += args[i] + " ";

		System.out.println(exec);
		//System.exit(0);

		try {
			Process process = runtime.exec(args);
			try {
				InputStream input = process.getInputStream();
				int c;
				while ((c = input.read()) != -1) {
					System.out.print((char) c);
				}
				process.waitFor();
			} catch (InterruptedException e1) {
				// TODO ꂽ catch ubN
				e1.printStackTrace();
			}
		} catch (IOException e) {
			// TODO ꂽ catch ubN
			e.printStackTrace();
		}
	}
	private void copyFile(File file) {
		if (file.exists()) {
			File tmpFile =
				new File(file.getParentFile(), "digest_" + file.getName());

			Runtime runtime = Runtime.getRuntime();
			for (int j = 0; j < max; j++) {
				String outPath = file.getAbsolutePath() + j;
				String h = "" + j / 60;
				if (h.length() < 2)
					h = "0" + h;
				String m = "" + j % 60;
				if (m.length() < 2)
					m = "0" + m;
				String args[] =
					{
						asfPath,
						"-y",
						"-start",
						h + ":" + m + ":00",
						"-duration",
						"" + playtime,
						"-o",
						outPath,
						"-i",
						file.getAbsolutePath()};
				execute(runtime, args);
			}
			int successByte = 5000;
			Vector inputList = new Vector();
			inputList.addElement(asfPath);
			inputList.addElement("-y");
			inputList.addElement("-o");
			inputList.addElement(tmpFile.getAbsolutePath());
			for (int i = 0; i < max; i++) {
				File inputFile = new File(file.getAbsolutePath() + i);
				if (inputFile.length() > successByte) {
					inputList.addElement("-i");
					inputList.addElement(inputFile.getAbsolutePath());
				}
			}
			execute(runtime, (String[]) inputList.toArray(new String[0]));
			for (int i = 0; i < max; i++) {
				File inputFile = new File(file.getAbsolutePath() + i);
				inputFile.delete();
			}
		}

	}

	

	/**
	 * @return
	 */
	public File getOutput() {
		return output;
	}

	/**
	 * @param file
	 */
	public void setOutput(File file) {
		output = file;
	}

}
