/*
 * Main.java
 *
 * Created on 2002/03/26, 1:16
 */

package org.jpn.xucker.asfcut;
import javax.swing.*;

import java.awt.event.*;
import java.io.*;

import java.util.*;
/**
 *
 * @author  akito
 */
public class jasfedit implements ActionListener,Runnable{
    JPanel timePanel;
    JTextField start_minute;
    JTextField start_second;
    JTextField end_minute;
    JTextField end_second;
    
    JFrame frame;
    JButton cutButton;
    JButton playButton;
    String baseDir;
    String outDir;
    String exePath;
    JList list;
    
    JButton first;
    JButton last;
    /** Creates a new instance of Main */
    Thread thread;
    
    /** Holds value of property maxTime_second. */
    private int maxTime_second;
    
    /** Holds value of property maxTime_minute. */
    private int maxTime_minute;
    
    /** Holds value of property WMVPath. */
    private String WMVPath;
    
    JPanel centerPanel;
    public void err(String path){
        File f=new File(path);
        if(f.exists()){
        }else{
            System.out.println("not found "+path);
        }
    }
    public jasfedit() {
       try{
       Properties properties=new Properties();
       properties.load(this.getClass().getResourceAsStream("/org/jpn/xucker/asfcut/conf.properties"));
       baseDir="";
       exePath=AsfUtil.getAsfcutPath();
       outDir=properties.getProperty("outputPath");
       
       WMVPath=properties.getProperty("wmvPath");
       maxTime_minute=toInt(properties.getProperty("maxTime_minute"));
       maxTime_second=toInt(properties.getProperty("maxTime_second"));
       }catch(IOException e){
       e.printStackTrace();
       }
       frame=new JFrame();
       frame.addWindowListener(new WindowAdapter(){
           public void windowClosing(WindowEvent event){
               Runtime.getRuntime().exit(0);
           }
       });
       
       JMenuBar menubar=new JMenuBar();
       JMenu menu=new JMenu("File");
       JMenuItem item=new JMenuItem("open dir");
       item.addActionListener(this);
       item.setActionCommand("open");
       menu.add(item);
       menubar.add(menu);
       
       frame.setJMenuBar(menubar);
       
       frame.setSize(400,300);
       frame.setLocation(30,60);
       
       frame.getContentPane().add("North",createPanel1());
       centerPanel=createCenter();
       frame.getContentPane().add("Center",centerPanel);
       frame.getContentPane().add("South",createBottom());
       
       frame.setVisible(true);
       thread=new Thread(this);
       thread.start();
    }
    public int toInt(String v){
        int ret=0;
        try{
            ret=Integer.parseInt(v);
        }catch(Exception e){}
        return ret;
    }
    public String[] loadList(File file){
     
    // System.out.println(f.getAbsolutePath());
     String data[]=file.list(new WMVFilter());
     if(data==null)
     	return new String[0];
     return data;
    }
    public class WMVFilter extends javax.swing.filechooser.FileFilter implements FilenameFilter{
        private String description;
        public boolean accept(java.io.File file, String str) {
            String fName=str.toUpperCase();
            if(fName.endsWith(".WMV") || fName.endsWith(".ASF"))
            return true;
            else
            return false;
        }

		/* ( Javadoc)
		 * @see java.io.FileFilter#accept(java.io.File)
		 */
		public boolean accept(File file) {
			String fName=file.getName().toUpperCase();
		   if(fName.endsWith(".WMV") || fName.endsWith(".ASF"))
		   return true;
		   else
		   return false;
		}

		
        
		/**
		 * @return
		 */
		public String getDescription() {
			return description;
		}

		/**
		 * @param string
		 */
		public void setDescription(String string) {
			description = string;
		}

    }
    
    public JPanel createCenter(){
    JPanel panel=new JPanel();
    String array[]=loadList(new File(baseDir));
    list=new JList(array);
    JScrollPane scroll=new JScrollPane(list);
    panel.add(scroll);
    return panel;
    }
    
    public JPanel createBottom(){
    JPanel panel=new JPanel();
    
    
   // panel.add(cutButton);
    
    playButton=new JButton("play");
    playButton.setActionCommand("play");
    playButton.addActionListener(this);
    panel.add(playButton);
    
    JButton nextButton=new JButton("next");
    nextButton.setActionCommand("next");
    nextButton.addActionListener(this);
    panel.add(nextButton);
    //panel.add(new JLabel("         "));
    
    return panel;
    }
    
    public void doFirst(){
        start_minute.setText("00");
        start_second.setText("00");
    }
    public void doLast(){
        end_minute.setText(""+getMaxTime_minute());
        end_second.setText(""+getMaxTime_second());
    }
    public JPanel createPanel1(){
    timePanel=new JPanel();
    timePanel.add(new JLabel("Jn"));
    first=new JButton("<<");
    first.setActionCommand("<<");
    first.addActionListener(this);
    timePanel.add(first);
    
    start_minute=new JTextField("00");
    
    timePanel.add(start_minute);
    timePanel.add(new JLabel(":"));
    start_second=new JTextField("00");
    timePanel.add(start_second);
    
    timePanel.add(new JLabel("I"));
    last=new JButton(">>");
    last.setActionCommand(">>");
    last.addActionListener(this);
    timePanel.add(last);
    
    
    end_minute=new JTextField("00");
    timePanel.add(end_minute);
     timePanel.add(new JLabel(":"));
    end_second=new JTextField("00");
    timePanel.add(end_second);
    
    cutButton=new JButton("cut");
    cutButton.setActionCommand("cut");
    cutButton.addActionListener(this);
    timePanel.add(cutButton);
    
    return timePanel;
    }
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        new jasfedit();
    }
    
   
    
    public String getFullPath(String dir,String selected){
    File f=new File(dir);
    return (new File(f,selected)).getAbsolutePath();
    }
    
    public void doPlay(){
        try{
        if(list.getSelectedValue()!=null){
        String command="\""+getWMVPath()+"\" ";
        command+=" \""+getFullPath(baseDir,(String)list.getSelectedValue())+"\"";
           // System.out.println(command);
            Runtime runtime=Runtime.getRuntime();
            Process process=runtime.exec(command);
        }
        }catch(Exception e){
            e.printStackTrace();
        }
    }
    
    public void doNext(){
	 try{
	int index=list.getSelectedIndex();
	//System.out.println(list.getMaxSelectionIndex());
	list.setSelectedIndex(index+1);
	
        doPlay();
        }catch(Exception e){
            e.printStackTrace();
        }
    }
    
    public void doCut(){
        try{
    ASFCutExecuter executer=new ASFCutExecuter();
    String select=(String)list.getSelectedValue();
    if(select!=null){
    executer.setInputPath(getFullPath(baseDir,select));
    executer.setExePath(exePath);
    
    executer.setStart_minute(toInt(start_minute.getText()));
     executer.setStart_second(toInt(start_second.getText()));
     executer.setEnd_minute(toInt(end_minute.getText()));
     executer.setEnd_second(toInt(end_second.getText()));
     
     executer.setOutputPath(createSavePath(executer));
     
     executer.exec();
    }else{
        System.out.println("nothing selected");
    }
        }catch(Exception e){
            e.printStackTrace();
        }
    }
    public String createSavePath(ASFCutExecuter executer){
    File f=new File(executer.getInputPath());
    String outFileName=f.getName().substring(0,f.getName().length()-4);
    outFileName+="_"+executer.getStartTime()+"_"+executer.getEndTime()+".wmv";
    return getFullPath(outDir,outFileName);
    }
    
    public void actionPerformed(java.awt.event.ActionEvent actionEvent) {
        if(actionEvent.getActionCommand().equals("cut")){
            doCut();
        }else if(actionEvent.getActionCommand().equals("play")){
            doPlay();
        
        }else if(actionEvent.getActionCommand().equals(">>")){
            doLast();
        
        }else if(actionEvent.getActionCommand().equals("<<")){
            doFirst();
        }else if(actionEvent.getActionCommand().equals("next")){
	    doNext();
	}else if(actionEvent.getActionCommand().equals("open")){
		doOpen(frame);
	}
    }
    
    /**
	 * 
	 */
	private void doOpen(JFrame parent) {
		JFileChooser chooser = new JFileChooser();
		chooser.setFileFilter(new WMVFilter());
		

   		//chooser.setFilenameFilter(new WMVFilter());
   int returnVal = chooser.showOpenDialog(parent);
   if(returnVal == JFileChooser.APPROVE_OPTION) {
   	File file= chooser.getSelectedFile();
   	//System.out.println(file);
	String array[]=loadList(file.getParentFile());
	//System.out.println(""+array.length);
	baseDir=file.getParentFile().getAbsolutePath();
	
		list=new JList(array);
		JScrollPane scroll=new JScrollPane(list);
		centerPanel.removeAll();
		centerPanel.add(scroll);
		//centerPanel.repaint();
	frame.pack();
		//frame.repaint();
	
	
   }

	}

	public void run() {
       while(true){
           try{
               if(start_minute.getText().length()>0 && end_minute.getText().length()>0){
               int start=Integer.parseInt(start_minute.getText());
               int end=Integer.parseInt(end_minute.getText());
               if(end<start){
                   end_minute.setText(""+start);
               }
               }
               Thread.sleep(1000);
           }catch(Exception e){
               e.printStackTrace();
           }
       }
    }
    
    /** Getter for property maxTime_second.
     * @return Value of property maxTime_second.
     */
    public int getMaxTime_second() {
        return this.maxTime_second;
    }
    
    /** Setter for property maxTime_second.
     * @param maxTime_second New value of property maxTime_second.
     */
    public void setMaxTime_second(int maxTime_second) {
        this.maxTime_second = maxTime_second;
    }
    
    /** Getter for property maxTime_minute.
     * @return Value of property maxTime_minute.
     */
    public int getMaxTime_minute() {
        return this.maxTime_minute;
    }
    
    /** Setter for property maxTime_minute.
     * @param maxTime_minute New value of property maxTime_minute.
     */
    public void setMaxTime_minute(int maxTime_minute) {
        this.maxTime_minute = maxTime_minute;
    }
    
    /** Getter for property WMVPath.
     * @return Value of property WMVPath.
     */
    public String getWMVPath() {
        return this.WMVPath;
    }
    
    /** Setter for property WMVPath.
     * @param WMVPath New value of property WMVPath.
     */
    public void setWMVPath(String WMVPath) {
        this.WMVPath = WMVPath;
    }
    
}
